function $AdfColumnDragSource$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfColumnDragSource", $AdfColumnDragSource$$);
$AdfObject$$.$createSubclass$($AdfColumnDragSource$$, $AdfComponentDragSource$$);
$AdfColumnDragSource$$.prototype.Init = function $$AdfColumnDragSource$$$$Init$() {
  $AdfColumnDragSource$$.$superclass$.Init.call(this, "AdfRichColumn");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfColumnDragSource.prototype.Init", {Init:$AdfColumnDragSource$$.prototype.Init});
$AdfColumnDragSource$$.prototype.$isAvailable$ = function $$AdfColumnDragSource$$$$$isAvailable$$($dndContext$$54$$, $inputEvent$$47$$) {
  $AdfAssert$$.$assertPrototype$($dndContext$$54$$, $AdfDnDContext$$);
  $AdfAssert$$.$assertPrototype$($inputEvent$$47$$, $AdfUIInputEvent$$);
  if ("undefined" == typeof window.AdfRichTable) {
    return !1;
  }
  var $column$$2_elem$$6_table$$1$$ = this.$_getTable$();
  return null != $column$$2_elem$$6_table$$1$$ && 1 != $column$$2_elem$$6_table$$1$$.getDisableColumnReordering() && "resize" != $column$$2_elem$$6_table$$1$$.$getPeer$().$__getColumnHeaderMouseAction$($inputEvent$$47$$.$getNativeEvent$()) ? ($column$$2_elem$$6_table$$1$$ = this.$getComponent$(), $column$$2_elem$$6_table$$1$$ = $AdfRichUIPeer$$.$getDomContentElementForComponent$($column$$2_elem$$6_table$$1$$), null == $column$$2_elem$$6_table$$1$$.getAttribute("_afrRH") && null != $column$$2_elem$$6_table$$1$$.getAttribute("_afrRoot")) : 
  !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfColumnDragSource.prototype.isAvailable", {$isAvailable$:$AdfColumnDragSource$$.prototype.$isAvailable$});
$AdfColumnDragSource$$.prototype.$GetDragOverFeedback$ = function $$AdfColumnDragSource$$$$$GetDragOverFeedback$$($inputEvent$$48$$) {
  var $feedback$$ = $AdfColumnDragSource$$.$superclass$.$GetDragOverFeedback$.apply(this, arguments);
  if ($feedback$$) {
    var $table$$2_tableElem$$ = this.$_getTable$(), $table$$2_tableElem$$ = $AdfRichUIPeer$$.$getDomContentElementForComponent$($table$$2_tableElem$$);
    $feedback$$.style.height = $table$$2_tableElem$$.clientHeight + "px";
  }
  return $feedback$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfColumnDragSource.prototype.GetDragOverFeedback", {$GetDragOverFeedback$:$AdfColumnDragSource$$.prototype.$GetDragOverFeedback$});
$AdfColumnDragSource$$.prototype.$_getTable$ = function $$AdfColumnDragSource$$$$$_getTable$$() {
  for (var $c$$7$$ = this.$getComponent$();null != $c$$7$$;$c$$7$$ = $c$$7$$.getParent()) {
    if ($c$$7$$ instanceof AdfRichTable) {
      return $c$$7$$;
    }
  }
  return null;
};
